Package com.microblink.blinkid.fragment.overlay.blinkid.reticleui

# Class BlinkIdDialogOnboardingView

java.lang.Object
com.microblink.blinkid.fragment.overlay.blinkid.reticleui.BlinkIdDialogOnboardingView

All Implemented Interfaces:
  `OnboardingView`

public class BlinkIdDialogOnboardingView extends Object implements OnboardingView

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `OnboardingPresenter`
  `onboardingPresenter`
  `protected ReticleOverlayStrings`
  `strings`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BlinkIdDialogOnboardingView(boolean shouldShowIntroductionDialog, boolean shouldShowOnboardingInfo)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `attachPresenter(OnboardingPresenter onboardingPresenter)`
  `void`
  `cancelDelayedTooltip()`
  `void`
  `onConfigurationChanged()`
  `void`
  `setupOnboarding(android.view.View layout, androidx.appcompat.app.AppCompatActivity activity, com.microblink.blinkid.fragment.overlay.blinkid.reticleui.ReticleOverlayResources styleResources, ReticleOverlayStrings onboardingStrings, ScanRecognitionMode scanRecognitionMode, com.microblink.blinkid.fragment.overlay.blinkid.reticleui.ReticleOverlayView.OnboardingClosedListener onboardingClosedListener)`
  `void`
  `showIntroductionDialog(android.content.Context context)`
  `void`
  `showOnboarding()`
  `void`
  `showOnboardingTooltipDelayed(long delayMs, boolean onlyIfNotAlreadyDisplayed)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### onboardingPresenter

    public OnboardingPresenter onboardingPresenter

  - ### strings

    protected ReticleOverlayStrings strings

- ## Constructor Details

  - ### BlinkIdDialogOnboardingView

    public BlinkIdDialogOnboardingView(boolean shouldShowIntroductionDialog, boolean shouldShowOnboardingInfo)

- ## Method Details

  - ### setupOnboarding

    public void setupOnboarding(android.view.View layout, androidx.appcompat.app.AppCompatActivity activity, com.microblink.blinkid.fragment.overlay.blinkid.reticleui.ReticleOverlayResources styleResources, ReticleOverlayStrings onboardingStrings, ScanRecognitionMode scanRecognitionMode, com.microblink.blinkid.fragment.overlay.blinkid.reticleui.ReticleOverlayView.OnboardingClosedListener onboardingClosedListener)

  - ### showIntroductionDialog

    public void showIntroductionDialog(android.content.Context context)
    Specified by:
      `showIntroductionDialog` in interface `OnboardingView`

  - ### attachPresenter

    public void attachPresenter(OnboardingPresenter onboardingPresenter)
    Specified by:
      `attachPresenter` in interface `OnboardingView`

  - ### showOnboarding

    public void showOnboarding()
    Specified by:
      `showOnboarding` in interface `OnboardingView`

  - ### cancelDelayedTooltip

    public void cancelDelayedTooltip()
    Specified by:
      `cancelDelayedTooltip` in interface `OnboardingView`

  - ### showOnboardingTooltipDelayed

    public void showOnboardingTooltipDelayed(long delayMs, boolean onlyIfNotAlreadyDisplayed)
    Specified by:
      `showOnboardingTooltipDelayed` in interface `OnboardingView`

  - ### onConfigurationChanged

    public void onConfigurationChanged()